## slim 0.1.1

=== DESCRIPTION ===
Package: slim
Title: Singular Linear Models for Longitudinal Data
Version: 0.1.1
Authors@R: person("Daniel", "Farewell",
    email = "farewelld@cf.ac.uk", role = c("aut", "cre"))
Description: Fits singular linear models to longitudinal data. Singular linear
    models are useful when the number, or timing, of longitudinal observations
    may be informative about the observations themselves. They are described
    in Farewell (2010) <doi:10.1093/biomet/asp068>, and are extensions of the
    linear increments model <doi:10.1111/j.1467-9876.2007.00590.x> to general
    longitudinal data.   
Depends: R (>= 3.2.0), data.table (>= 1.9.6)
Imports: stats, MASS (>= 7.3)
Suggests: lme4 (>= 1.1), jmcm (>= 0.1.6.0), gee (>= 4.13-19), ggplot2
        (>= 2.1.0), testthat (>= 1.0.2), knitr, rmarkdown
License: GPL-3
LazyData: true
RoxygenNote: 6.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-05-15 06:33:18 UTC; daniel
Author: Daniel Farewell [aut, cre]
Maintainer: Daniel Farewell <farewelld@cf.ac.uk>
Repository: CRAN
Date/Publication: 2017-05-15 06:39:33 UTC
