## slim 1.3.0

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,14 @@
 #######################################################
 CXX=/usr/bin/g++
 CC=/usr/bin/gcc
-CFLAGS=-I. -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include
+CFLAGS=-Wall -I. -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include
+CXXFLAGS=$(CFLAGS)
 LDFLAGS=-L/usr/X11R6/lib -lXft -lX11 -lfreetype -lXrender -lfontconfig -lpng12 -lz -lm -lcrypt -lXmu -lpng -ljpeg
 CUSTOM=-DHAVE_SHADOW
+ifdef USE_PAM
+LDFLAGS+= -lpam
+CUSTOM+= -DUSE_PAM
+endif
 PREFIX=/usr
 CFGDIR=/etc
 MANDIR=/usr/man
@@ -15,12 +20,15 @@
 #######################################################
 
 NAME=slim
-VERSION=1.2.6
+VERSION=1.3.0
 
 DEFINES=-DPACKAGE=\"$(NAME)\" -DVERSION=\"$(VERSION)\" \
 		-DPKGDATADIR=\"$(PREFIX)/share/slim\" -DSYSCONFDIR=\"$(CFGDIR)\"
 
-OBJECTS=jpeg.o png.o main.o image.o numlock.o cfg.o switchuser.o input.o app.o panel.o
+OBJECTS=jpeg.o png.o main.o image.o numlock.o cfg.o switchuser.o app.o panel.o
+ifdef USE_PAM
+OBJECTS+=PAM.o
+endif
 
 all: slim
 
@@ -28,7 +36,7 @@
 	$(CXX) $(LDFLAGS) $(OBJECTS) -o $(NAME)
 
 .cpp.o:
-	$(CXX) $(CFLAGS) $(DEFINES) $(CUSTOM) -c $< -o $@
+	$(CXX) $(CXXFLAGS) $(DEFINES) $(CUSTOM) -c $< -o $@
 
 .c.o:
 	$(CC) $(CFLAGS) $(DEFINES) $(CUSTOM) -c $< -o $@
