## slim 1.3.1-0mint17

=== debian/changelog ===
slim (1.3.1-0mint17) helena-fluxbox; urgency=low

  * added autologin and theme selection support

 -- Kendall Weaver <kendalltweaver@gmail.com>  25 Jan 2010 13:46:00 -0500

slim (1.3.1-0mint16) helena-fluxbox; urgency=low

  * updated for helena-fluxbox

 -- Kendall Weaver <kendalltweaver@gmail.com>  09 Jan 2010 15:54:00 -0500

slim (1.3.1-0mint15) felicia; urgency=low  

  * Update for Gloria.
  * Now reads the DESKTOP variable from /etc/linuxmint/info for Default session.
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Wed, 10 Jun 2009 06:08:00 -0600

slim (1.3.1-0mint14) felicia; urgency=low  

  * removed patch
    - xinerama_support.dpatch caused a bug with vmware
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Fri, 20 Mar 2009 23:42:00 -0600

slim (1.3.1-0mint13) felicia; urgency=low  

  * updated update_slim_wmlist to make sure there is a /etc/slim.conf even if deleted
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Fri, 27 Feb 2009 06:11:00 -0600

slim (1.3.1-0mint12) felicia; urgency=low  

  * updated patches
    - custom_keys.dpatch to have correct welcome_msg in fall back configuration.
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Fri, 27 Feb 2009 04:30:00 -0600

slim (1.3.1-0mint11) felicia; urgency=low  

  * updated slim.postinst to deal with slim.dpkg-old and slim.dpkg-new if found
  * updated patches
    - 01_slim.conf.dpatch to change default config if slim.conf is corrupt
    - xinerama_support.dpatch to add changes from 01_slim.conf.dpatch
    - custom_keys.dpatch to add changes from 01_slim.conf.dpatch
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Fri, 27 Feb 2009 03:29:00 -0600

slim (1.3.1-0mint10) felicia; urgency=low  

  * added new patches
    - kerberos_login_fix.dpatch
    - allow_custom_config.dpatch
    - xinerama_support.dpatch
  * updated slim.init.d for support of /etc/slim-custom.conf
  * updated update_slim_wmlist for support of /etc/slim-custom.conf
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Thu, 26 Feb 2009 23:15:00 -0600

slim (1.3.1-0mint9) felicia; urgency=low  

  * updated xinitrc_sample.dpatch
  * updated /etc/slim/Login for more sessions   
  * updated /etc/init.d/slim now updates sessions when a new one is installed. thanks to shane 
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Sun, 22 Feb 2009 01:42:00 -0600

slim (1.3.1-0mint8) felicia; urgency=low  

  * updated /etc/slim/Default not exporting system language
  * changed custom_keys.dpatch halt command was set for the sleep command
  * updated custom_keys.dpatch to patch default theme to show Welcome message
  
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Sat, 21 Feb 2009 23:49:00 -0600

slim (1.3.1-0mint7) felicia; urgency=low  

  * fixed /etc/slim/Default not exporting system language
  * fixed /etc/init.d/slim not exporting system suppoort
  * added custom_keys.dpatch for F2 - F6 custom commands.
  * added xinitrc_sample.dpatch for using our settings.

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Sat, 21 Feb 2009 20:07:00 -0600

slim (1.3.1-0mint6) felicia; urgency=low  

  * added /etc/slim/Login for logging into sessions
  * updated update_slim_wmlist
  * updated 01_slim.conf.dpatch

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Tue, 17 Feb 2009 20:21:00 -0600

slim (1.3.1-0mint5) felicia; urgency=low  

  * removed 04_cfg.cpp_obscured_password_option.dpatch
  * created my own 01_slim.conf.dpatch
  * added update_slim_wmlist to update sessions.
  * using /etc/slim/Default as sessionstart_cmd and it runs /etc/gdm/PostLogin/Default if found.

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Tue, 17 Feb 2009 20:21:00 -0600

slim (1.3.1-0mint4) felicia; urgency=low  

  *Added patch to restart Xserver if killed (by c-a-backspace ie)
   - 06-restart-xserver.dpatch

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Wed, 04 Feb 2009 01:40:00 -0600

slim (1.3.1-0mint3) felicia; urgency=low
  
  *Added theme debian moreblue orbit

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Wed, 04 Feb 2009 01:40:00 -0600

slim (1.3.1-0mint2) felicia; urgency=low
  
  *Added patch to not show anything in the password feild.
   - 04_cfg.cpp_obscured_password_option.dpatch

 -- merlwiz79 <mintmerlwiz79@gmail.com>  Tue, 03 Feb 2009 14:42:00 -0600

slim (1.3.1-0mint1) felicia; urgency=low

  * Package new upstream version 1.3.1.
  * Removed Patches
    - 02_Makefile.dpatch
    - 03_cfg.cpp.dpatch
04_cfg.cpp_obscured_password_option.dpatch
 -- merlwiz79 <mintmerlwiz79@gmail.com>  Tue, 03 Feb 2009 14:42:00 -0600

slim (1.3.0-1) unstable; urgency=low

  [ Mike Massonnet <mmassonnet@gmail.com> ]

  * Package new upstream version 1.3.0. Closes: #447913
    - Build against libpam (add build dependency libpam0g-dev).
    - DPatch cfg.cpp to include <stdlib.h> and fix FTBFS with GCC-4.3.
      Closes: #455138
    - Add /etc/X11/Xsession.d/20slim_locale to export the LANG.
      Closes: #440862
    - Replace xfce4-session with startxfce4 and add ion3. Closes: #426466
    - Don't set the DPI. Closes: #428407
  * The code concerning the environment init has drastically changed in this
    new version, and Steve Kemp did a security audit over it. Closes: #435841
  * Debconf translation:
    - New Finnish translation. Closes: #457447
    - Update Portuguese translation. Closes: #445495
  * Minor changes:
    - Suggest scrot as default screenshoter
    - Refined the description
    - Set the Homepage field
    - Bump standards version to 3.7.3
    - Patch Makefile (LDFLAGS) to remove unnecessary links

  [ Christian Perrier <bubulle@debian.org> ]

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #426233, #423279
  * Debconf translation updates:
    - German and all others taken from xdm. Closes: #426532, #424677
    - Romanian. Closes: #428955
    - Vietnamese. Closes: #427145

 -- Mike Massonnet <mmassonnet@gmail.com>  Wed, 24 Oct 2007 22:44:07 +0200

slim (1.2.6-1) unstable; urgency=low

  * Initial release (Closes: #337578)
  * Add default Debian theme.
  * Add openbox to the sessions.

