## slim 1.3.1-0mint18

=== debian/changelog ===
slim (1.3.1-0mint18) helena-lxde; urgency=low

  * Updated for helena-lxde

 -- Kendall Weaver <kendalltweaver@gmail.com>  16 Feb 2010 11:29:00 -0500
