=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: Kendall Weaver <kendalltweaver@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: slim
Architecture: i386
Depends: libc6 (>= 2.4), libfontconfig1 (>= 2.4.0), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1), libjpeg62, libpam0g (>= 0.99.7.1), libpng12-0 (>= 1.2.13-4), libstdc++6 (>= 4.1.1), libx11-6, libxft2 (>> 2.1.1), libxmu6, libxrender1, zlib1g (>= 1:1.1.4), debconf (>= 1.2.9) | debconf-2.0, libfile-desktopentry-perl, inotify-tools
Suggests: imagemagick
Provides: x-display-manager
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light and simple, although completely configurable through
 themes and an option file. It is particularly suitable for machines that
 don't require remote logins.
