=== debian/changelog ===
slim (1.3.4-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add debian/patches/slim-fix-env-alloc.patch:
    - fix memory corruption in slim child. (Closes: #733916)
  * debian/slim.upstart: Add upstart job (Closes: #704049)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 07 Feb 2014 10:23:12 +0100

slim (1.3.4-2) unstable; urgency=low

  * Add new theme (Joy) and switch theme from SpaceFun to Joy.
    (Closes: #678475)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Jun 2012 08:59:51 +0900

slim (1.3.4-1) unstable; urgency=low

  * New upstream release. (Closes: #592681, #648120)
  * Update debian/control.
    - Add xauth to Suggests. (Closes: #587320)
  * debian/slim.pam:
    - enable pam_loginuid. (Closes: #677436)
  * Add patches/disable_log.patch. Disable log to stderr.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Jun 2012 00:37:44 +0900

slim (1.3.3-2) unstable; urgency=low

  * Add freeglut3-dev to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 04 May 2012 05:46:43 +0900

slim (1.3.3-1) unstable; urgency=low

  * New upstream release. (Closes: #614749, #472855, #612023)
  * Remove unnecessary patches.
    - patches/fix-black-screen.patch
    - patches/fix_ftbfs-as-needed.patch
    - patches/Makefile.patch
  * Update debian/control.
    - Update Standards-Version to 3.9.3.
    - Update Build-Depends. Add cmake, libck-connector-dev and zlib1g-dev.
    - Add dbus and consolekit to Depends.
  * Update debian/rules.
    - Rewrite debian/rules. covert to dh.
  * Update patch for slim.conf
  * Update compat to 9
  * Add directory for pam.d from install file.
  * Remove directory for theme files to debian/slim.dirs.
  * Add new template for daemon name
  * Change source format to 3.0(quilt)
    - Remove *.shar files
  * Update postinst and add postrm and prerm for slim.
  * Add pam file for slim. (Closes: #476248, #664806)
  * Update translations.
    - Update Polish translation. (Closes: #661248)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Apr 2012 10:48:50 +0900

slim (1.3.2-1) unstable; urgency=low

  * New upstream release. (Closes: #633583, #605214)
  * Update debian/control.
    - Bump up Standards-Version to 3.9.2.
    - Change Build-Depends from libjpeg62-dev to libjpeg-dev. (Closes: #644805)
    - Change Build-Depends from libpng12-dev to libpng-dev.
  * Fefresh patches.
    - Drop patches/ftbfs_gcc_4.4.patch. Applied to upstream.
    - Drop patches/xauth_secret_support.patch. Applied to upstream.
    - Drop patches/insecure_PATH_assignment.patch. Applied to upstream.
    - Drop patches/fix-manpage.patch. Applied to upstream.
    - Update patches/Makefile.patch and debian/patches/slim-conf.patch.
    - Add patches/fix_ftbfs_as-needed.patch.
      Fix build failure with ld --as-needed. (Closes: #607185)
  * Update debian/rules.
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
  * Update debian/README.Debian.
    - Fix lintian spelling-error-in-readme-debian.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 Feb 2012 00:53:36 +0900

slim (1.3.1-8) unstable; urgency=low

  * New theme.
    - Add new theme debian-spacefun and set it as default (Closes: #603256).
	  Thanks to Yves-Alexis Perez.
    - Update patches/slim-conf.patch.
    - Add remove function of debian/debian-spacefun to debian/rules.
    - Add debian-spacefun to debian/slim.install.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 14 Nov 2010 07:40:05 +0900

slim (1.3.1-7) unstable; urgency=high

  * Update debian/control.
    - Bump up Standards-Version to 3.9.1.
  * Fix show black screen on On kfreebsd (Closes: #586593).
    debian/patches/fix-black-screen.patch
  * Fix CVE-2010-2945: insecure PATH assignment (Closes: #594414).
    debian/patches/insecure_PATH_assignment.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 26 Aug 2010 12:40:13 +0900

slim (1.3.1-6) unstable; urgency=low

  * Update debian/control.
    - Bump up Standards-Version.
  * Fix default path (Closes: #581775).
    Thanks to Andrei Popescu.
  * Debconf translation:
    - Update Danish translation (Closes: #587800).
      Thanks to Joe Dalton.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Jul 2010 05:41:40 +0900

slim (1.3.1-5) unstable; urgency=low

  * Update debian/control.
    - Bump up Standards-Version.
  * Update patches/slim-conf.patch
    - scrot default location to /root. (Closes: #537604)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Feb 2010 22:58:12 +0900

slim (1.3.1-4) unstable; urgency=low

  * Fix FTBFS with GCC 4.4. (Closes: #553703)
    Update patches/ftbfs_gcc_4.4.patch
  * Update 20slim_locale. (Closes: #536541) 

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Dec 2009 23:15:33 +0900

slim (1.3.1-3) unstable; urgency=low

  * Remove x-terminal-emulator from Recommends and change from
    x-terminal-emulator to xterm in slim.conf file (Closes: #536542)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 17 Oct 2009 08:03:36 +0900

slim (1.3.1-2) unstable; urgency=low

  * Add Jens Peter Secher to Uploaders list.
  * Update es.po (Closes: #510469)
  * Fix FTBFS with GCC 4.4. (Closes: #505332)
  * Fix insecure xauth secret. (Closes: #529306)
  * Fix allows login as root without password. (Closes: #536542)
     - Wrote explanation about this problem to README.Debian.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 21 Sep 2009 15:52:33 +0900

slim (1.3.1-1) unstable; urgency=low

  * New Maintainer (Nobuhiro Iwamatsu).
  * New upstream release.
  * Update Standards-Version.
  * Update patch. 
    Makefile.patch slim-conf.patch 
  * Remove patch.
    ftbfs-gcc4.3-cfg.cpp.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 23 Aug 2009 13:42:54 +0900

slim (1.3.0-2) unstable; urgency=low

  * Minor changes:
    - Move from dpatch to quilt.
    - Export every possible locale env-var (updated
      local/Xsession.d/20slim_locale). Closes: #441630

