## slim 1.3.6

=== debian/changelog ===
slim (1.3.6-5.1+devuan6) unstable; urgency=medium

  * Move updates-alternatives --remove to prerm.
  * Add missing dependency on lsb-base, required by initscript.
  * Fix typo and remove related lintian override.
  * Use virtual package default-logind rather than libpam-elogind.
  * Reorder dependencies to prefer default-logind over consolekit.
  * Add debian-branch and debian-tag defaults to d/gbp.conf.
  * Remove Changed-By field.
  * Add myself to uploaders.
  * Add Vcs-* fields.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 07 Jan 2020 11:09:49 +0000

slim (1.3.6-5.1+devuan5) unstable; urgency=medium

  * Fix closes bug number.
  * Revert to invoking /etc/X11/Xsession with explicit shell. Sometimes
    this file seesm to lose its executable bit.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 14 Dec 2019 09:24:35 +0000

slim (1.3.6-5.1+devuan4) unstable; urgency=medium

  * Bump version number and target archive for unstable.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 13 Jun 2019 21:55:02 +0000

slim (1.3.6-5.1+devuan3) experimental; urgency=medium

  * Bump version number so that upgrades work.
  * Use sessreg to update utmp, wtmp and lastlog (Closes: #301).
  * Don't use bash when exec will do.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 05 Mar 2019 16:56:23 +0000

slim (1.3.6-5+devuan6) experimental; urgency=medium

  * If consolekit is not available, fall back on logind PAM session.
  * Remove unused duplicate quilt patch.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 11 Feb 2019 17:38:54 +0000

slim (1.3.6-5+devuan5) unstable; urgency=medium

  * Update Maintainers, Uploaders, Changed-By
  * add gbp.conf with forced compression-level

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 11 Feb 2019 22:37:19 +1300

slim (1.3.6-5+devuan4) unstable; urgency=medium

  * change to using /etc/alternatives and cleanup
  * Remove debian-curve - moved to desktop-base
  * change link for alternatives to desktop-slim-themes (same as desktop-base)
  * setup for using alternatives for selecting theme
  * Removed devuan-curve theme
  * fix alternatives setup

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 21 Dec 2016 00:41:45 +1300

slim (1.3.6-5+devuan3) unstable; urgency=medium

  * Merged the new artwork

 -- Dima Krasner <dima@dimakrasner.com>  Mon, 08 Jun 2015 13:20:21 +0300

slim (1.3.6-5+devuan2) unstable; urgency=medium

  * Rebranded for Devuan

 -- Dima Krasner <dima@dimakrasner.com>  Tue, 21 Apr 2015 17:49:43 +0300

slim (1.3.6-5+devuan1) unstable; urgency=medium

  * Restored ConsoleKit support

 -- Dima Krasner <dima@dimakrasner.com>  Fri, 27 Feb 2015 18:08:04 +0200

slim (1.3.6-5) unstable; urgency=medium

  * Fix bugged Debian-Lines theme. (Closes: #776693)
    Thanks HJ <punx665@gmail.com>

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 14 Feb 2015 16:04:30 +0100

slim (1.3.6-4) unstable; urgency=medium

  * Build slim without deprecated consolekit support (Closes: #751618):
    - Drop consolekit from Depends and libck-connector-dev
      from Build-Depends in debian/control.
    - Disable consolekit in CMAKE_FLAGS in debian/rules.
    Thanks to Elimar Riesebieter <riesebie@lxtec.de>!
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update homepage in debian/control and debian/copyright.
  * Update debian/watch to point to new homepage.
  * Update and clean up debian/copyright.
  * Add new Lines theme for Debian Jessie:
    - Refresh debian/patches/slim-conf.patch
    - Update debian/slim.install, debian/rules and
      debian/source/include-binaries for new files.
    - Fix key binding for session selection. (Closes: #756519)
  * Make package lintian-clean:
    - Add manpage-formatting-fixes.patch to escape a minus
      sign and remove a trailing space in the slimlock.1.
    - Update debian/copyright.
    - Add lintian-overrides for info tags which can be ignored.
    - Add lintian-override for check-gpg-signature as a GPG
      signature is not provided by upstream yet.
  * Rewrite debian/patches/fix-systemd-service.patch, debian/slim.posinst:
    - Ensure we are starting slim on systemd only when selected as
      default. Thanks Didier Roche <didrocks@ubuntu.com> for the patch.
      (Closes: #748668)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 13 Jan 2015 20:12:03 +0100

slim (1.3.6-3) unstable; urgency=high

  * debian/patches:
    - Replace no-slimlock.patch with no-slimlock-with-pam.patch to fix
      build with pam support on non-linux arches. (Closes: #743864)
    - Update libslim-cmake-fixes.patch.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 25 Apr 2014 16:57:11 +0200

slim (1.3.6-2) unstable; urgency=medium

  * debian/rules:
    - Fix the if statement for hurd-i386 build architecture test which
      previously disabled PAM on non-Hurd archs. (Closes: #742904, #742950)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 01 Apr 2014 14:11:43 +0200

slim (1.3.6-1) unstable; urgency=medium

  * Add myself to the list of uploaders with permission from Nobuhiro Iwamatsu.
  * Fix systemd support: (Closes: #741511)
    - debian/fix-systemd-service.patch: Add missing
      "WantedBy=graphical.target" slim.service file.
    - debian/control: Add dh-systemd to build depends.
    - debian/rules: Add dh_systemd support.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 14 Mar 2014 23:20:35 +0100

slim (1.3.6-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Test for hurd-i386 build architecture as "gnu", not
      "hurd" to really fix FTBFS.
  * debian/control:
    - Update long description. (Closes: #659857)
  * debian/patches:
    - Add slim-add-sessiondir.patch: to set directory that contains
      the xsessions. (Closes: #740394)
    - Update slim-conf.patch.
    - Add libslim-cmake-fixes.patch: Fix FTBFS on Ubuntu.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 02 Mar 2014 18:21:42 +0100

slim (1.3.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.

