=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders:
	Mark (LeePen) Hindley <mark@hindley.org.uk>,
	Daniel Reurich <daniel@centurion.net.nz>,
	Dima Krasner <dima@dimakrasner.com>,
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,
	freeglut3-dev, libpthread-stubs0-dev, libxrandr-dev, libck-connector-dev
Standards-Version: 3.9.6
Vcs-Git: https://git.devuan.org/devuan-packages/slim.git
Vcs-Browser: https://git.devuan.org/devuan-packages/slim
Homepage: http://sourceforge.net/projects/slim.berlios/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus, default-logind | logind | consolekit, x11-xserver-utils, lsb-base
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.
