## slim 1.3.6-5.3build1+11.0trisquel0

=== debian/changelog ===
slim (1.3.6-5.3build1+11.0trisquel0) aramo; urgency=medium

  * Add trisquel-belenos theme.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 19 Mar 2024 06:56:09 +0000

slim (1.3.6-5.3build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:33:08 +0000

slim (1.3.6-5.3) unstable; urgency=high

  * Non-maintainer upload
  * Fix build error with gcc 11. Closes: #984339

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 04 Jan 2022 07:02:51 +0100

slim (1.3.6-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Build-Depends to use debhelper (>= 9.20160709) instead of
    dh-systemd. (Closes: #958637)

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Sep 2020 13:22:22 +0200

slim (1.3.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * slim.service: Drop BusName=, fixing endless (re-)start loop under systemd.
    Thanks Aggelos Avgerinos <evaggelos.avgerinos@gmail.com> for testing.
    (Closes: #861474)
  * slim.service: Drop Conflicts=plymouth-quit.service and
    OnFailure=plymouth-quit.service, as slim does not stop plymouth by itself.
    Retain After=plymouth-quit.service for correct ordering though, which
    should be sufficient to solve #860465.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 02 May 2017 16:48:36 +0300
