## slim 1.3.6-5.3build3trisquel0

=== debian/changelog ===
slim (1.3.6-5.3build3trisquel0) ecne; urgency=medium

  * Add trisquel-belenos theme.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:33:52 +0000

slim (1.3.6-5.3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:14 +1100

slim (1.3.6-5.3build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:15:39 +0000
