=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Jens Peter Secher <jps@debian.org>, Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: debconf, debhelper (>= 9.20160709), libjpeg-dev, libpam0g-dev,
 	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,
