## slim 1.3.6.10-really1.3.4-2

=== debian/changelog ===
slim (1.3.6.10-really1.3.4-2-1) unstable; urgency=medium

  * antiX-17.1 build 
  * remove consolekit depends

 -- anticapitalista <antix@operamail.com>  Wed, 03 Jan 2018 17:25:18 +0200
