## slim 1.3.6.10.1-really1.3.4-2

=== debian/changelog ===
slim (1.3.6.10.1-really1.3.4-2-1) unstable; urgency=medium

  * antiX-18 build
  * edited antixccslim.sh

 -- anticapitalista <antix@operamail.com>  Thu, 18 Oct 2018 17:36:17 +0300
