=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: anticapitalista <antiX@operamail.com>
Uploaders: Jens Peter Secher <jps@debian.org>
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils,
	zlib1g-dev, cmake, freeglut3-dev
Standards-Version: 3.9.8
Homepage: http://slim.berlios.de/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm 
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light and simple, although completely configurable through
 themes and an option file. It is particularly suitable for machines that
 don't require remote logins.
