## slim 1.3.6.10.2

=== debian/changelog ===
slim (1.3.6.10.2) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Tue, 30 Apr 2019 15:50:48 +0300

slim (1.3.6-5+devuan6) unstable; urgency=medium

  * If consolekit is not available, fall back on logind PAM session.
  * Remove unused duplicate quilt patch.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 11 Feb 2019 17:38:54 +0000
