## slim 1.3.6.10.3

=== debian/changelog ===
slim (1.3.6.10.3) unstable; urgency=medium

  * F login fixes by using xsessions desktop files

 -- anticapitalista <antix@operamail.com>  Thu, 02 May 2019 14:14:52 +0300
