=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: anticapitalista <antiX@operamail.com>
Uploaders: Dima Krasner <dima@dimakrasner.com>, Daniel Reurich <daniel@centurion.net.nz>
Build-Depends: debconf, debhelper (>= 9), libjpeg-dev, libpam0g-dev,
	libpng-dev, libxft-dev, libxmu-dev, po-debconf, sharutils, cmake,
	freeglut3-dev, libpthread-stubs0-dev, libxrandr-dev, libck-connector-dev
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/slim.berlios/

Package: slim
Architecture: any
Provides: x-display-manager
Recommends: xterm
Suggests: scrot, xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, dbus, consolekit | libpam-elogind | logind
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.
