## slim 1.3.6.10.4

=== debian/changelog ===
slim (1.3.6.10.4) unstable; urgency=medium

  * added test -f $PIDFILE || exit 0 to stop/ in slim.init

 -- anticapitalista <antix@operamail.com>  Thu, 09 May 2019 16:29:46 +0300
