## slim 1.3.6.10.5

=== debian/changelog ===
slim (1.3.6.10.5) unstable; urgency=medium

  * added comments to desktop files

 -- anticapitalista <antix@operamail.com>  Sat, 13 Jul 2019 14:59:47 +0100
