## slim 1.3.6.10.6

=== debian/changelog ===
slim (1.3.6.10.6) unstable; urgency=medium

  * accommodates multiple slim themes and verifies selected background bugfix - thanks model99

 -- anticapitalista <antix@operamail.com>  Sun, 10 Nov 2019 16:22:49 +0200
