## slim 1.3.6.10.7

=== debian/changelog ===
slim (1.3.6.10.7) unstable; urgency=medium

  * Various edits to /etc/slim.conf
  * remove dbus dependency 

 -- anticapitalista <antix@operamail.com>  Mon, 21 Dec 2020 17:18:28 +0200
