## slim 1.3.6.10.8

=== debian/changelog ===
slim (1.3.6.10.8) unstable; urgency=medium

  * remove systemd check
  * set default to use desktop-session

 -- anticapitalista <antix@operamail.com>  Thu, 24 Dec 2020 15:24:03 +0200
