## slim 1.3.6.10.9

=== debian/changelog ===
slim (1.3.6.10.9) unstable; urgency=medium

  * back to old postinst file
  * BobC's slim theme for hd screens

 -- anticapitalista <antix@operamail.com>  Mon, 28 Dec 2020 16:17:32 +0200
