## slim 1.3.6.10.10

=== debian/changelog ===
slim (1.3.6.10.10) unstable; urgency=medium

  * edits to antiX theme

 -- anticapitalista <antix@operamail.com>  Fri, 01 Jan 2021 17:21:58 +0200
